Bug 506541 - NetworkManager cannot be killed (ATH5K cardbus adapter used)
NetworkManager cannot be killed (ATH5K cardbus adapter used)
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: NetworkManager (Show other bugs)
5.3
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Dan Williams
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 13:15 EDT by Steve Dowe
Modified: 2013-02-15 17:30 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-15 17:30:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Dowe 2009-06-17 13:15:00 EDT
Description of problem:

When NetworkManager is enabled and I use a cardbus wireless adapter, when shutting down the NetworkManager service won't die and the system cannot halt.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Boot up - doesn't matter if enabling NetworkManager service after reaching init 5
2. Plug in wireless adapter - GNOME keyring prompt appears, wireless network then connects
3. Once connected, attemp to shutdown system
  
Actual results:
NetworkManager fails to terminate

Expected results:
NetworkManager should terminate on shutdown

Additional info:
Comment 1 Dan Williams 2009-11-12 15:22:28 EST
Any chance you can grab some logs from this, or switch to the VT on which shutdown messages are displayed?

Also, does this still happen with RHEL 5.4 kernel updates?
Comment 2 Steve Dowe 2009-11-17 17:29:16 EST
I'll have a look at the shutdown messages when I shutdown later tonight.

Funny that you mention the 5.4 kernels though - I've not had this issue since my laptop was updated to 5.4.

Will come back with more info.
Comment 3 Dan Williams 2013-02-15 17:30:56 EST
It's likely this is fixed in RHEL6; as we don't have the requested info, closing.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.